Bug 97204 - eth0 crashes when trying to ACTIVATE with DHCP
eth0 crashes when trying to ACTIVATE with DHCP
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 11:37 EDT by B. Smith
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 10:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description B. Smith 2003-06-11 11:37:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I had a hub on my win\lin network.  Using SMB to connex.  I pulled the hub and 
replaced it with a D-LINK DSL router.  Now the system throws an error on the 
eth0 card when I try to use DHCP.  I had the network set to a static IP 
10.0.0.2 for the local network and I maybe missing something in switchover.  I 
have tried to set up an eth1, but it is throwing same error.  Also, running 
APACHE as localhost, 127.0.0.1.  eth0 is only listed card in System Settings | 
Network.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set up Eth0 as static IP on hub
2.switch to DSL router
3.update Eth0 to DHCP
4.Try Activating Eth0 card from xwindows | System Settings | Network
5.error thrown
    

Actual Results:  Here is error dump::
Traceback ( most recent call last):
 File "/usr/sbin/neat", line 689, in on_deviceActivatButton_clicked
 if self.save()!=0;
 File"/usr/sbin/neat", line 319 in save
 self.saveDevices()
 File"/usr/sbin/neat", Line 326, in saveDevices
  devicelist.save()
 file"/usr/sbin/../share/redhat-config-network/netconfphk/NCDeviceList.py",
  line 145, in save
 os.write(fp2, ipc.networ()+'/'+ipc.prefix()+"via "+rout.Gateway+"\n")
 File"/usr/sbin/../share/redhat-config-network/netconfphk/ipcalc.py", line 58,
 in network
 self.prefix()
 file"/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py",
line 37, in prefix self.netmask= re.match("NETMASK=(\s+)", text_g
Comment 1 B. Smith 2003-06-12 10:34:50 EDT
I seem to have resolved this problem.
Action Taken:: < In xWindows|System Settings|Network >
1. Uloaded all etho devices
2. Added my Router IP to HOSTS tab
3. Added Router IP to DNS tab
4. Re-installed the ETHO device

B. Smith

Note You need to log in before you can comment on or make changes to this bug.